# Copyright 2012, 2013 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

from deform import Form
from os.path import join
from os.path import dirname
from pkg_resources import resource_filename


def setup_custom_deform():
    """Helper to make sure we can override deform templates

    Forces deform to first look in our own templates/form path for files. If
    not found, it'll default to the built in ones from deform.

    We're using this to provide the deform_bootstrap templates for our basic
    form layout without requiring the package.

    """
    deform_templates = resource_filename('deform', 'templates')
    search_path = (
        join(dirname(dirname(__file__)), 'templates/form'),
        deform_templates)
    Form.set_zpt_renderer(search_path)
