# Copyright 2012, 2013 Marco Ceppi, Canonical Ltd.  This software is
# licensed under the GNU Affero General Public License version 3 (see
# the file LICENSE).

__metaclass__ = type


from datetime import datetime

import requests

API = 'https://api.launchpad.net/devel'

BASKET_SERIES = 'bundles'


def get_branch_tips():
    result = requests.get(API + '/charm', params={'ws.op': 'getBranchTips'})
    return result.json()


def get_branch_info(branch_spec):
    """Return the info for Launchpad branch.

    :param branch_spec: A path referring to a branch on Launchpad.
    :return: Launchpad branch json or None if no such branch.
    """
    response = requests.get("%s/%s" % (API, branch_spec))
    if response.status_code == 404:
        return None
    return response.json()


def parse_date(date_str):
    """Parse a date in the format used by LP"""
    return datetime.strptime(date_str, "%Y-%m-%dT%H:%M:%S.%f+00:00")
