# Copyright 2013 Canonical Ltd.  This software is licensed under the GNU
# Affero General Public License version 3 (see the file LICENSE).

from copy import deepcopy
from textwrap import dedent

import yaml

from charmworld.lib.cdeployer import get_flattened_deployment
from charmworld.testing import TestCase


class TestDeployerIntegration(TestCase):

    def test_deployer_integration(self):
        deployer_config = dedent("""\
            wordpress-stage:
                series: precise
                services:
                    blog:
                        charm: cs:precise/wordpress
                        constraints: mem=2
                        options:
                            tuning: optimized
                            engine: apache
        """)
        parsed = yaml.safe_load(deployer_config)
        expected = deepcopy(parsed)['wordpress-stage']
        result = get_flattened_deployment(parsed, 'wordpress-stage')
        self.assertEqual(expected, result)
