# Copyright 2012, 2013 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

from datetime import timedelta
from pyramid.view import view_config

from charmworld import cached_view_config
import charmworld.reports as report_catalog


# Reports
@view_config(
    route_name="reports", renderer="charmworld:templates/reports.pt")
def reports(request):
    return {}


@cached_view_config(
    route_name="json-charm-change",
    renderer="json")
def json_charm_changes(request):
    return report_catalog.series_charm_changes(
        request.db,
        step=timedelta(7)).records()


@cached_view_config(
    route_name="json-contributor-growth",
    renderer="json")
def json_contributor_growth(request):
    return report_catalog.series_charm_authors(request.db).records()


@cached_view_config(
    route_name="json-charm-growth",
    renderer="json")
def json_charm_growth(request):
    return report_catalog.series_charm_growth(request.db).records()
