# Copyright 2012, 2013 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

from charmworld.testing import ViewTestBase
from charmworld.testing import factory
from charmworld.views.experiment import json_interface_graph


class GraphTest(ViewTestBase):

    def test_graph_no_data(self):
        data = json_interface_graph(self.getRequest()).json
        self.assertEqual([], data)

    def test_graph_simple(self):
        cid, charm = factory.makeCharm(self.db, requires={})
        data = json_interface_graph(self.getRequest()).json
        self.assertEqual(2, len(data))
        self.assertEqual(charm['label'], data[0]['id'])
        self.assertEqual([], data[0]['adjacencies'])
        self.assertEqual(charm['i_provides'][0], data[1]['id'])
        self.assertEqual([charm['label']], data[1]['adjacencies'])
