import os

from setuptools import setup, find_packages

here = os.path.abspath(os.path.dirname(__file__))
README = open(os.path.join(here, 'README.txt')).read()
CHANGES = open(os.path.join(here, 'CHANGES.txt')).read()

requires = [
    'pyramid==1.4',
]

setup(name='charmworld',
      version='0.0',
      description='charmworld',
      long_description=README + '\n\n' + CHANGES,
      classifiers=[
          "Programming Language :: Python",
          "Framework :: Pylons",
          "Topic :: Internet :: WWW/HTTP",
          "Topic :: Internet :: WWW/HTTP :: WSGI :: Application",
      ],
      author='',
      author_email='',
      url='',
      keywords='web pyramid pylons',
      packages=find_packages(),
      include_package_data=True,
      zip_safe=False,
      install_requires=requires,
      test_suite="charmworld",
      entry_points="""\
      [paste.app_factory]
      main = charmworld:main
      [console_scripts]
      enqueue = charmworld.jobs.lp:main
      dequeue = charmworld.jobs.lp:dequeue
      ingest-queued = charmworld.jobs.worker:main
      migrations = charmworld.migrations.migrate:main
      es-update = charmworld.search:update_main
      sync-index = charmworld.models:sync_index
      [beaker.backends]
      mongodb = mongodb_beaker:MongoDBNamespaceManager
      """,
      paster_plugins=['pyramid'],
      )
